Subject: Re: [PATCH 2/5] [POWERPC] 8xx: generic 8xx code arch/powerpc port

From: Christoph Hellwig <[email-masked]>
Date: Fri, 17 Nov 2006 07:49:27 +0100

On Fri, Nov 17, 2006 at 09:48:43AM +1100, Benjamin Herrenschmidt wrote:
> I think those 2 are used for cases where they either have a non-linear
> mapping a-la Amiga/APUS or in cases where they try to get addresses of
> things in the vmalloc area no ?.

For vmalloc we should be using vmalloc_to_page and then page_to_phys,
but again, I'd prefer to see the actual user before making detailed
suggestions.